Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# tableType_s Struct Reference

## Data Fields
const char *const | key
const int | hasCanon
const int | hasTranslate
machEquivTable_s | equiv
machCache_s | cache
defaultEntry | defaults
canonEntry | canons
int | defaultsLength
int | canonsLength

## Field Documentation

struct machCache_s tableType_s::cache

| Definition at line 91 of file rpmrc.c. Referenced by rpmFreeRpmrc().

canonEntry tableType_s::canons

| Definition at line 93 of file rpmrc.c. Referenced by defaultMachine(), and rpmFreeRpmrc().

int tableType_s::canonsLength

| Definition at line 95 of file rpmrc.c. Referenced by defaultMachine(), and rpmFreeRpmrc().

defaultEntry tableType_s::defaults

| Definition at line 92 of file rpmrc.c. Referenced by rpmFreeRpmrc().

int tableType_s::defaultsLength

| Definition at line 94 of file rpmrc.c. Referenced by rpmFreeRpmrc().

struct machEquivTable_s tableType_s::equiv

| Definition at line 90 of file rpmrc.c. Referenced by rpmFreeRpmrc(), and rpmShowRC().

const int tableType_s::hasCanon

| Definition at line 88 of file rpmrc.c.

const int tableType_s::hasTranslate

| Definition at line 89 of file rpmrc.c.

const char* const tableType_s::key

| Definition at line 87 of file rpmrc.c.

The documentation for this struct was generated from the following file:

- lib/rpmrc.c